%define name	cacti
%define version	0.8.6b
%define release	1mdk

#New ADVX macros
%{expand:%(cat  %{_datadir}/ADVX/ADVX-build)}

Summary:	Cacti is a php frontend for rrdtool
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Servers
URL:		http://www.raxnet.net/products/cacti
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}.cron.bz2
Source2:	%{name}.conf.bz2
Source3:	%{name}.logrotate.bz2
Patch0:		cacti-0.8.6b-path_fix.diff.bz2
Patch1:		cacti-0.8.6-use_external_adodb.diff.bz2
Requires:	ADOdb
Requires:	webserver
Requires:	mysqlserver
Requires:	mod_php
Requires:	php-cli
Requires:	php-gd
Requires:	php-mysql
Requires:	php-snmp
Requires:	php-xml
Requires:	net-snmp-utils
Requires:	net-snmp
Requires:	rrdtool
BuildRequires:	ADVX-build >= 1.2
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Cacti is a complete frondend to rrdtool, it stores all of the
nessesary information to create graphs and populate them with
data in a MySQL database.

The frontend is completely PHP driven. Along with being able
to maintain Graphs, Data Sources, and Round Robin Archives in
a database, cacti handles the data gathering also. There is
also SNMP support for those used to creating traffic graphs
with MRTG.

%prep

%setup -q
%patch0 -p1
%patch1 -p0

bzcat %{SOURCE1} > %{name}.cron
bzcat %{SOURCE2} > %{name}.conf
bzcat %{SOURCE3} > %{name}.logrotate

# fix dir perms
find . -type d | xargs chmod 755

# fix file perms
find . -type f | xargs chmod 644

%build

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{ap_htdocsdir}/%{name}
install -d %{buildroot}%{_datadir}/%{name}
install -d %{buildroot}%{_localstatedir}/%{name}
install -d %{buildroot}%{_var}/log/%{name}
install -d %{buildroot}%{_sysconfdir}/cron.d
install -d %{buildroot}%{_sysconfdir}/logrotate.d
install -d %{buildroot}%{_sysconfdir}/httpd/webapps.d

cp *.php %{buildroot}%{ap_htdocsdir}/%{name}
cp -pr lib %{buildroot}%{ap_htdocsdir}/%{name}
cp -pr include %{buildroot}%{ap_htdocsdir}/%{name}
cp -pr docs %{buildroot}%{ap_htdocsdir}/%{name}
cp -pr images %{buildroot}%{ap_htdocsdir}/%{name}
cp -pr install %{buildroot}%{ap_htdocsdir}/%{name}
cp -pr scripts %{buildroot}%{_datadir}/%{name}
cp -pr resource %{buildroot}%{ap_htdocsdir}/%{name}
install -m0644 *.sql %{buildroot}%{_datadir}/%{name}

# apache configuration
install -m0644 %{name}.conf %{buildroot}%{_sysconfdir}/httpd/webapps.d/%{name}.conf

# cron task
install -m0644 %{name}.cron %{buildroot}%{_sysconfdir}/cron.d/%{name}

# logrotate script
install -m0644 %{name}.logrotate %{buildroot}%{_sysconfdir}/logrotate.d/%{name}

# use_external_adodb
rm -rf %{buildroot}%{ap_htdocsdir}/%{name}/lib/adodb

# compute file list without config file
find %{buildroot}%{ap_htdocsdir}/%{name} -type d | sed -e 's|'%{buildroot}'|%dir |' >> %{name}.list
find %{buildroot}%{ap_htdocsdir}/%{name} -type f ! -name config.php | sed -e 's|'%{buildroot}'||' >> %{name}.list

%post
%ADVXpost

%postun
%ADVXpost

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -f %{name}.list
%defattr(-,root,root)
%doc LICENSE docs/CHANGELOG docs/CONTRIB docs/README
%config(noreplace) %{_sysconfdir}/httpd/webapps.d/%{name}.conf
%config(noreplace) %{ap_htdocsdir}/%{name}/include/config.php
%config(noreplace) %{_sysconfdir}/cron.d/%{name}
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%attr(0755,root,root) %{_datadir}/%{name}/*
%dir %{_localstatedir}/%{name}
%dir %{_var}/log/%{name}

%changelog
* Fri Oct 08 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.8.6b-1mdk
- 0.8.6b
- fix P0
- bring back perms on the scripts, duh!

* Sun Oct 03 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.8.6-3mdk
- fix P0 and S1

* Sun Oct 03 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.8.6-2mdk
- fix strange perms

* Sun Oct 03 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.8.6-1mdk
- 0.8.6
- rediffed P0 & P1
- misc spec file fixes

* Sun May 30 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.8.5a-1mdk
- 0.8.5a
- fixed P0
- added P1

* Tue Mar 2 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 0.8.5-1mdk
- 0.8.5
- rediff patch1
- add logrotate script
- macroszification

* Thu Nov 27 2003 Guillaume Rousse <guillomovitch@mandrake.org> 0.8.4-2mdk
- add missing lib directory

* Tue Nov 25 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 0.8.4-1mdk
- 0.8.4
- ADVX macros
- fix files list

* Sat Aug 30 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 0.8.3-1mdk
- 0.8.3

* Sun Aug 3 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.8.2a-4mdk
- added php-xml requires

* Sun Aug 3 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.8.2a-3mdk
- oops, s/datadir/ap_htdocsdir/ - dedicated to resource directory again

* Sat Aug 2 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.8.2a-2mdk
- added missing resource directory with xml templates

* Wed Jul 30 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.8.2a-1mdk
- new version

* Fri Jun 06 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 0.8-1mdk
- requires php-cli for cron task
- added cron task
- install in %%{ap_htdocsdir}/%%{name}, no need for intermediate admin dir
- only install needed files under %%{ap_htdocsdir}/%%{name}
- cleaned redundant requires
- cleaned spec file
- corrected url tag
- automatic apache integration

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.6.8a-3mdk
- build release

* Thu Sep 19 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.6.8a-2mdk
- misc spec file fixes
- install in common and relocatable %%{ap_htdocsdir}/ directory

* Wed Sep 18 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.6.8a-1mdk
- security release
- do not require non existant php extensions
- misc spec file fixes 

* Sun May 12 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.6.8-1mdk
- initial cooker contrib
